Package org.italiangrid.voms.store

# Interface LSCInfo

All Known Implementing Classes:
  `LSCFile`

public interface LSCInfo
The VOMS LSC information.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getCertificateChainDescription()`
Returns the certificate chain description of the VOMS AA for the given VO and hostname.
`String`
`getFilename()`
Returns the name of file from where this LSC info was parsed from.
`String`
`getHostname()`
Returns the host name of the VOMS AA this LSC info applies to.
`String`
`getVOName()`
Returns the VO name this LSC info applies to.
`boolean`
`matches(X509Certificate[] certChain)`
Checks if the certificate chain description maintained in the LSC information matches the certificate chain passed as argument.
`void`
`setFilename(String filename)`
Sets the name of the file from where this LSC info was parsed from.

## Method Details

### setFilename

void setFilename(String filename)
Sets the name of the file from where this LSC info was parsed from.

Parameters:
  `filename` - the name of the file from where this LSC info was parsed from.

### getFilename

String getFilename()
Returns the name of file from where this LSC info was parsed from.

Returns:
  the name of the file from where this LSC info was parsed from.

### getVOName

String getVOName()
Returns the VO name this LSC info applies to.

Returns:
  the VO name this LSC info applies to

### getHostname

String getHostname()
Returns the host name of the VOMS AA this LSC info applies to.

Returns:
  the host name of the VOMS AA this LSC info applies to

### getCertificateChainDescription

List<String> getCertificateChainDescription()
Returns the certificate chain description of the VOMS AA for the given VO and hostname. The certificate chain description is a list of X.500 distinguished names encoded as strings according to the OpenSSL slash-separated format, as in: `/C=IT/O=INFN/CN=INFN CA` The first element in the description is the leaf certificate, while the last is the CA certificate.

Returns:
  the certificate chain description of the VOMS AA for the given VO and hostname.

### matches

boolean matches(X509Certificate[] certChain)
Checks if the certificate chain description maintained in the LSC information matches the certificate chain passed as argument.

Parameters:
  `certChain` - the certificate chain to be checked
Returns:
  `true` if the description matches, `false` otherwise